Good news ! Hackbusters community is waiting for you !  https://discuss.hackbusters.com
KnowBe4 has been running the HackBusters site for a few years now, providing you with trending IT security news. We are expanding it and have launched a new exciting online community! The forum is divided into four main topics or categories: Social Engineering, Ransomware, Phishing and Security Awareness Training. You are invited to be one of the first to join us at: https://discuss.hackbusters.com.

Adobe patches critical flaws in many of its software offerings

Photoshop-apps-600x315

Adobe has released important patches for almost its entire array of offerings, including the Technical Communications Suite, Experience Manager, Digital Editions, Acrobat and Reader, as well as the notoriously buggy Flash Player.

The Technical Communications Suite allows users to author, manage and publish interactive instructional information from technical documents to online help systems, knowledge bases, and interactive training. Version 10.5.1 suffers from an insecure library loading vulnerability that could lead to privilege escalation. The patch for this flaw can be downloaded here.

Adobe Framemaker is part of the same suite, but users who have Framemaker 10.5.1 installed individually can patch their buggy app with a standalone patch offered here.

Experience Manager suffers from five vulnerabilities, affecting versions 6.0 through 6.4.

“These updates resolve two reflected cross-site scripting vulnerabilities rated Moderate, and three stored cross-site scripting...(continued)

View All Trending Stories